libzypp 17.38.15

ParseDef.h File Reference
`#include <iosfwd>`
`#include <zypp-core/base/PtrTypes.h>`
`#include <zypp/parser/xml/ParseDefTraits.h>`

Go to the source code of this file.

## Classes
class | zypp::xml::ParseDef
| Define a xml node structure to parse. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::xml

## Functions
std::ostream & | zypp::xml::operator<< (std::ostream &str, ParseDef::Mode obj)
| relates: ParseDef ParseDef::Mode stream output.
std::ostream & | zypp::xml::operator<< (std::ostream &str, const ParseDef &obj)
| relates: ParseDef Stream output.